com.fasterxml.jackson.databind.node

## Class IntNode

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonNode
  - - com.fasterxml.jackson.databind.node.BaseJsonNode
    - - com.fasterxml.jackson.databind.node.ValueNode
      - - com.fasterxml.jackson.databind.node.NumericNode
        - - com.fasterxml.jackson.databind.node.IntNode

All Implemented Interfaces:
  TreeNode, JsonSerializable, Iterable<JsonNode>

    public final class IntNode
    extends NumericNode

Numeric node that contains simple 32-bit integer values.

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.JsonNode

`NO_NODES, NO_STRINGS`

### Constructor Summary

Constructors
Constructor and Description
`IntNode(int v)`

### Method Summary

Methods
`boolean` `asBoolean(boolean defaultValue)` Method that will try to convert value of this node to a Java boolean.
`String` `asText()` Method that will return a valid String representation of the container value, if the node is a value node (method `JsonNode.isValueNode()` returns true), otherwise empty String.
`JsonToken` `asToken()` Method that can be used for efficient type detection when using stream abstraction for traversing nodes.
`BigInteger` `bigIntegerValue()`
`boolean` `canConvertToInt()` Method that can be used to check whether this node is a numeric node (`JsonNode.isNumber()` would return true) AND its value fits within Java's 32-bit signed integer type, `int`.
`boolean` `canConvertToLong()` Method that can be used to check whether this node is a numeric node (`JsonNode.isNumber()` would return true) AND its value fits within Java's 64-bit signed integer type, `long`.
`BigDecimal` `decimalValue()`
`double` `doubleValue()`
`boolean` `equals(Object o)` Equality for node objects is defined as full (deep) value equality.
`int` `hashCode()`
`int` `intValue()` Returns integer value for this node, if and only if this node is numeric (`JsonNode.isNumber()` returns true).
`boolean` `isInt()` Method that can be used to check whether contained value is a number represented as Java `int`.
`boolean` `isIntegralNumber()`
`long` `longValue()`
`JsonParser.NumberType` `numberType()` Returns code that identifies type of underlying numeric value, if (and only if) node is a number node.
`Number` `numberValue()` Returns numeric value for this node, if and only if this node is numeric (`JsonNode.isNumber()` returns true); otherwise returns null
`void` `serialize(JsonGenerator jg, SerializerProvider provider)` Method called to serialize node instances using given generator.
`static IntNode` `valueOf(int i)`

### Methods inherited from class com.fasterxml.jackson.databind.node.NumericNode

`asDouble, asDouble, asInt, asInt, asLong, asLong, isNumber`

### Methods inherited from class com.fasterxml.jackson.databind.node.ValueNode

`deepCopy, isValueNode, path, path, serializeWithType, toString`

### Methods inherited from class com.fasterxml.jackson.databind.node.BaseJsonNode

`findParent, findParents, findPath, findValue, findValues, findValuesAsText, traverse`

### Methods inherited from class com.fasterxml.jackson.databind.JsonNode

`asBoolean, binaryValue, booleanValue, elements, fieldNames, fields, findParents, findValues, findValuesAsText, get, get, has, has, hasNonNull, hasNonNull, isArray, isBigDecimal, isBigInteger, isBinary, isBoolean, isContainerNode, isDouble, isFloatingPointNumber, isLong, isMissingNode, isNull, isObject, isPojo, isTextual, iterator, size, textValue, with, withArray`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IntNode

    public IntNode(int v)

### Method Detail

#### valueOf

    public static IntNode valueOf(int i)

#### asToken

    public JsonToken asToken()

Description copied from class: `BaseJsonNode`
Method that can be used for efficient type detection when using stream abstraction for traversing nodes. Will return the first `JsonToken` that equivalent stream event would produce (for most nodes there is just one token but for structured/container types multiple)

Specified by:
  `asToken` in interface `TreeNode`
Specified by:
  `asToken` in class `ValueNode`

#### numberType

    public JsonParser.NumberType numberType()

Description copied from class: `BaseJsonNode`
Returns code that identifies type of underlying numeric value, if (and only if) node is a number node.

Specified by:
  `numberType` in interface `TreeNode`
Specified by:
  `numberType` in class `NumericNode`
Returns:
  Type of number contained, if any; or null if node does not contain numeric value.

#### isIntegralNumber

    public boolean isIntegralNumber()

Overrides:
  `isIntegralNumber` in class `JsonNode`
Returns:
  True if this node represents an integral (integer) numeric JSON value

#### isInt

    public boolean isInt()

Description copied from class: `JsonNode`
Method that can be used to check whether contained value is a number represented as Java `int`. Note, however, that even if this method returns false, it is possible that conversion would be possible from other numeric types -- to check if this is possible, use `JsonNode.canConvertToInt()` instead.

Overrides:
  `isInt` in class `JsonNode`
Returns:
  True if the value contained by this node is stored as Java int

#### canConvertToInt

    public boolean canConvertToInt()

Description copied from class: `JsonNode`
Method that can be used to check whether this node is a numeric node (`JsonNode.isNumber()` would return true) AND its value fits within Java's 32-bit signed integer type, `int`. Note that floating-point numbers are convertible if the integral part fits without overflow (as per standard Java coercion rules)

Specified by:
  `canConvertToInt` in class `NumericNode`

#### canConvertToLong

    public boolean canConvertToLong()

Description copied from class: `JsonNode`
Method that can be used to check whether this node is a numeric node (`JsonNode.isNumber()` would return true) AND its value fits within Java's 64-bit signed integer type, `long`. Note that floating-point numbers are convertible if the integral part fits without overflow (as per standard Java coercion rules)

Specified by:
  `canConvertToLong` in class `NumericNode`

#### numberValue

    public Number numberValue()

Description copied from class: `JsonNode`
Returns numeric value for this node, if and only if this node is numeric (`JsonNode.isNumber()` returns true); otherwise returns null

Specified by:
  `numberValue` in class `NumericNode`
Returns:
  Number value this node contains, if any (null for non-number nodes).

#### intValue

    public int intValue()

Description copied from class: `JsonNode`
Returns integer value for this node, if and only if this node is numeric (`JsonNode.isNumber()` returns true). For other types returns 0. For floating-point numbers, value is truncated using default Java coercion, similar to how cast from double to int operates.

Specified by:
  `intValue` in class `NumericNode`
Returns:
  Integer value this node contains, if any; 0 for non-number nodes.

#### longValue

    public long longValue()

Specified by:
  `longValue` in class `NumericNode`

#### doubleValue

    public double doubleValue()

Specified by:
  `doubleValue` in class `NumericNode`

#### decimalValue

    public BigDecimal decimalValue()

Specified by:
  `decimalValue` in class `NumericNode`

#### bigIntegerValue

    public BigInteger bigIntegerValue()

Specified by:
  `bigIntegerValue` in class `NumericNode`

#### asText

    public String asText()

Description copied from class: `JsonNode`
Method that will return a valid String representation of the container value, if the node is a value node (method `JsonNode.isValueNode()` returns true), otherwise empty String.

Specified by:
  `asText` in class `NumericNode`

#### asBoolean

    public boolean asBoolean(boolean defaultValue)

Description copied from class: `JsonNode`
Method that will try to convert value of this node to a Java boolean. JSON booleans map naturally; integer numbers other than 0 map to true, and 0 maps to false and Strings 'true' and 'false' map to corresponding values.

If representation can not be converted to a boolean value (including structured types like Objects and Arrays), specified defaultValue will be returned; no exceptions are thrown.

Overrides:
  `asBoolean` in class `JsonNode`

#### serialize

    public final void serialize(JsonGenerator jg,
                 SerializerProvider provider)
                         throws IOException,
                                JsonProcessingException

Description copied from class: `BaseJsonNode`
Method called to serialize node instances using given generator.

Specified by:
  `serialize` in interface `JsonSerializable`
Specified by:
  `serialize` in class `BaseJsonNode`
Throws:
  `IOException`
  `JsonProcessingException`

#### equals

    public boolean equals(Object o)

Description copied from class: `JsonNode`
Equality for node objects is defined as full (deep) value equality. This means that it is possible to compare complete JSON trees for equality by comparing equality of root nodes.

Note: marked as abstract to ensure all implementation classes define it properly and not rely on definition from `Object`.

Specified by:
  `equals` in class `JsonNode`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`